/*******************************************************************
 *
 *  Broadcom BCM4760 keys.inc - test keys
 *
 *  Copyright 2004-2009 Broadcom Corporation
 *
 * This program is the proprietary software of Broadcom Corporation and/or its
 * licensors, and may only be used, duplicated, modified or distributed pursuant
 * to the terms and conditions of a separate, written license agreement executed
 * between you and Broadcom (an "Authorized License").  Except as set forth in an
 * Authorized License, Broadcom grants no license (express or implied), right to
 * use, or waiver of any kind with respect to the Software, and Broadcom expressly
 * reserves all rights in and to the Software and all intellectual property rights
 * therein.  IF YOU HAVE NO AUTHORIZED LICENSE, THEN YOU HAVE NO RIGHT TO USE THIS
 * SOFTWARE IN ANY WAY, AND SHOULD IMMEDIATELY NOTIFY BROADCOM AND DISCONTINUE ALL
 * USE OF THE SOFTWARE.  
 *
 * Except as expressly set forth in the Authorized License,
 *
 * 1.     This program, including its structure, sequence and organization,
 *        constitutes the valuable trade secrets of Broadcom, and you shall use all
 *        reasonable efforts to protect the confidentiality thereof, and to use this
 *        information only in connection with your use of Broadcom integrated circuit
 *        products.
 *
 * 2.     TO THE MAXIMUM EXTENT PERMITTED BY LAW, THE SOFTWARE IS PROVIDED "AS IS" AND
 *        WITH ALL FAULTS AND BROADCOM MAKES NO PROMISES, REPRESENTATIONS OR WARRANTIES,
 *        EITHER EXPRESS, IMPLIED, STATUTORY, OR OTHERWISE, WITH RESPECT TO THE SOFTWARE.
 *        BROADCOM SPECIFICALLY DISCLAIMS ANY AND ALL IMPLIED WARRANTIES OF TITLE,
 *        MERCHANTABILITY, NONINFRINGEMENT, FITNESS FOR A PARTICULAR PURPOSE, LACK OF
 *        VIRUSES, ACCURACY OR COMPLETENESS, QUIET ENJOYMENT, QUIET POSSESSION OR
 *        CORRESPONDENCE TO DESCRIPTION. YOU ASSUME THE ENTIRE RISK ARISING OUT OF USE
 *        OR PERFORMANCE OF THE SOFTWARE.
 *
 * 3.     TO THE MAXIMUM EXTENT PERMITTED BY LAW, IN NO EVENT SHALL BROADCOM OR ITS
 *        LICENSORS BE LIABLE FOR (i) CONSEQUENTIAL, INCIDENTAL, SPECIAL, INDIRECT, OR
 *        EXEMPLARY DAMAGES WHATSOEVER ARISING OUT OF OR IN ANY WAY RELATING TO YOUR USE
 *        OF OR INABILITY TO USE THE SOFTWARE EVEN IF BROADCOM HAS BEEN ADVISED OF THE
 *        POSSIBILITY OF SUCH DAMAGES; OR (ii) ANY AMOUNT IN EXCESS OF THE AMOUNT ACTUALLY
 *        PAID FOR THE SOFTWARE ITSELF OR U.S. $1, WHICHEVER IS GREATER. THESE LIMITATIONS
 *        SHALL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.
 *
 *******************************************************************/

typedef struct _tag_key_desc_t {
  uint8_t  Kcode_prv[CRYPTO_DSA_PRIV_SIZE];	/* 1024-bit DSA priv key	*/
  uint8_t  Kcode_p[CRYPTO_DSA_P_SIZE];		/* 1024-bit DSA 'p' parameter	*/
  uint8_t  Kcode_q[CRYPTO_DSA_Q_SIZE];		/* 160-bit  DSA 'q' parameter	*/
  uint8_t  Kcode_g[CRYPTO_DSA_G_SIZE];		/* 1024-bit DSA 'g' parameter	*/
  uint8_t  Kcode_pub[CRYPTO_DSA_KEY_SIZE];	/* 1024-bit DSA public key	*/
} key_desc_t;


const key_desc_t __key_desc = {
#if (0)  /* Use boot rom test DSA PubKey */
  {	/* Kcode_prv		*/
	  /* BIGNUM format	*/
  	0x32, 0x85, 0x36, 0xf0,
	  0xe6, 0xd8, 0x53, 0xc5,
  	0xc4, 0x8c, 0x5b, 0x36,
  	0x33, 0xb6, 0x6f, 0x3c,
  	0xa7, 0xec, 0x67, 0x1b
	}
	,
  {			/* Kcode_p		*/
    /* original value
       0xE9,0x67,0x97,0x2D,0x8C,0x38,0x3C,0x94,0x5A,0xCF,0x16,0x9E,
       0x29,0xD0,0xA8,0x73,0x36,0xA7,0x2B,0x9B,0xE5,0x93,0x48,0x7B,
       0xCD,0x29,0x13,0xF9,0xA7,0x4B,0x41,0xDB,0xD6,0xD4,0x68,0x53,
       0x55,0xA8,0x9D,0x41,0x00,0x3E,0x54,0xA4,0xA1,0x67,0x18,0xED,
       0x32,0x08,0x58,0x59,0x03,0x90,0x91,0x4A,0xA9,0xE5,0xAB,0xBC,
       0x8D,0x0E,0x5C,0xF3,0x38,0xC5,0xF1,0xC0,0xB7,0xF5,0x03,0x9A,
       0x6E,0x61,0x80,0x3A,0x5A,0x28,0x2B,0x2B,0xF0,0xD1,0x95,0x69,
       0xB8,0x8F,0x62,0x0B,0x87,0x27,0xCE,0xB4,0x61,0xEC,0x42,0xB9,
       0x19,0x85,0xC0,0x9E,0x3B,0x07,0xA4,0xBA,0xB7,0x10,0xCD,0x5D,
       0xE8,0x71,0x80,0x7E,0x2A,0x7C,0x4C,0x03,0xEE,0x52,0x41,0xF3,
       0x8C,0x9E,0x4D,0x90,0xFE,0x44,0x64,0x9F
    */
    /* BIGNUM format	*/
    0x9F, 0x64, 0x44, 0xFE, 0x90, 0x4D, 0x9E, 0x8C, 0xF3, 0x41, 0x52, 0xEE, 
    0x03, 0x4C, 0x7C, 0x2A, 0x7E, 0x80, 0x71, 0xE8, 0x5D, 0xCD, 0x10, 0xB7, 
    0xBA, 0xA4, 0x07, 0x3B, 0x9E, 0xC0, 0x85, 0x19, 0xB9, 0x42, 0xEC, 0x61, 
    0xB4, 0xCE, 0x27, 0x87, 0x0B, 0x62, 0x8F, 0xB8, 0x69, 0x95, 0xD1, 0xF0, 
    0x2B, 0x2B, 0x28, 0x5A, 0x3A, 0x80, 0x61, 0x6E, 0x9A, 0x03, 0xF5, 0xB7, 
    0xC0, 0xF1, 0xC5, 0x38, 0xF3, 0x5C, 0x0E, 0x8D, 0xBC, 0xAB, 0xE5, 0xA9, 
    0x4A, 0x91, 0x90, 0x03, 0x59, 0x58, 0x08, 0x32, 0xED, 0x18, 0x67, 0xA1,
    0xA4, 0x54, 0x3E, 0x00, 0x41, 0x9D, 0xA8, 0x55, 0x53, 0x68, 0xD4, 0xD6,
    0xDB, 0x41, 0x4B, 0xA7, 0xF9, 0x13, 0x29, 0xCD, 0x7B, 0x48, 0x93, 0xE5,
    0x9B, 0x2B, 0xA7, 0x36, 0x73, 0xA8, 0xD0, 0x29, 0x9E, 0x16, 0xCF, 0x5A,
    0x94, 0x3C, 0x38, 0x8C, 0x2D, 0x97, 0x67, 0xE9
  }
  ,
  {			/* Kcode_q		*/
    /* original format 
       0x94,0xC1,0xA0,0xFE,0x02,0xD0,0x74,0xA1,0x45,0xC4,0x3B,0xF3,
       0x88,0x0D,0x58,0x15,0x30,0xFE,0x1E,0x93
    */
    /* BIGNUM format */
    0x93, 0x1E, 0xFE, 0x30, 0x15, 0x58, 0x0D, 0x88, 0xF3, 0x3B, 0xC4, 0x45, 
    0xA1, 0x74, 0xD0, 0x02, 0xFE, 0xA0, 0xC1, 0x94
  }
  ,
  {			/* Kcode_g		*/
    /* original format 
       0x5D,0x77,0xA2,0x46,0xD7,0x7D,0xCB,0xE0,0x9F,0xA9,0x03,0x4F,
       0xA2,0xDB,0x3B,0xA1,0x5F,0x55,0x22,0xFF,0x97,0x09,0x48,0x06,
       0x68,0xD8,0xD1,0x76,0x35,0x78,0x93,0x37,0x54,0x60,0x4A,0x6F,
       0x01,0x43,0xCC,0xF6,0xA4,0x12,0xAD,0x57,0x24,0x80,0xEB,0x60,
       0x3C,0xAF,0x5D,0xFD,0x2B,0x88,0x52,0x26,0xFB,0x60,0xA5,0xFD,
       0xC7,0x3A,0x6E,0x00,0xC0,0x24,0x6A,0x19,0xCA,0x22,0x52,0xD4,
       0x75,0xD4,0xF4,0xA3,0x53,0xFE,0x3C,0x41,0x55,0x9A,0x25,0x55,
       0x8D,0xD0,0x65,0x5F,0x9F,0x7E,0x0C,0x40,0x0B,0x44,0xB0,0x0B,
       0xA9,0xAD,0x33,0xA8,0x47,0x97,0xF4,0x18,0x7B,0x9B,0x28,0xE4,
       0xE8,0x6F,0xCB,0xEE,0xCD,0x8E,0x2E,0x2D,0x89,0x8E,0x65,0x8E,
       0x9F,0x47,0x26,0x37,0xAA,0xEF,0x8D,0xDD
    */
    /* BIGNUM format */
    0xDD, 0x8D, 0xEF, 0xAA, 0x37, 0x26, 0x47, 0x9F, 0x8E, 0x65, 0x8E, 0x89, 
    0x2D, 0x2E, 0x8E, 0xCD, 0xEE, 0xCB, 0x6F, 0xE8, 0xE4, 0x28, 0x9B, 0x7B, 
    0x18, 0xF4, 0x97, 0x47, 0xA8, 0x33, 0xAD, 0xA9, 0x0B, 0xB0, 0x44, 0x0B,
    0x40, 0x0C, 0x7E, 0x9F, 0x5F, 0x65, 0xD0, 0x8D, 0x55, 0x25, 0x9A, 0x55,
    0x41, 0x3C, 0xFE, 0x53, 0xA3, 0xF4, 0xD4, 0x75, 0xD4, 0x52, 0x22, 0xCA,
    0x19, 0x6A, 0x24, 0xC0, 0x00, 0x6E, 0x3A, 0xC7, 0xFD, 0xA5, 0x60, 0xFB,
    0x26, 0x52, 0x88, 0x2B, 0xFD, 0x5D, 0xAF, 0x3C, 0x60, 0xEB, 0x80, 0x24,
    0x57, 0xAD, 0x12, 0xA4, 0xF6, 0xCC, 0x43, 0x01, 0x6F, 0x4A, 0x60, 0x54,
    0x37, 0x93, 0x78, 0x35, 0x76, 0xD1, 0xD8, 0x68, 0x06, 0x48, 0x09, 0x97,
    0xFF, 0x22, 0x55, 0x5F, 0xA1, 0x3B, 0xDB, 0xA2, 0x4F, 0x03, 0xA9, 0x9F,
    0xE0, 0xCB, 0x7D, 0xD7, 0x46, 0xA2, 0x77, 0x5D
  }
  ,
  {			/* Kcode_pub		*/
    /* original format 
       0x62,0x53,0x43,0x62,0x66,0xFB,0x59,0x63,0x09,0x0A,0x36,0x17,
       0xC1,0xC8,0x64,0x1D,0xDF,0xEA,0x6E,0xE9,0x73,0x20,0x1E,0x39,
       0xE4,0xC3,0xCE,0x2E,0x1A,0x81,0x55,0x5D,0x5E,0x98,0x47,0xF3,
       0xA6,0x6C,0x93,0x83,0xC3,0x4B,0x7A,0x03,0x24,0x1E,0xDF,0x20,
       0xC0,0x30,0xE2,0x3F,0xA2,0x8B,0xBC,0x77,0x69,0xCD,0x3B,0xFF,
       0x47,0x6D,0x7E,0x17,0xB9,0x4A,0xF0,0xDC,0x56,0x98,0xC0,0xD2,
       0xBE,0xCF,0x9F,0x6A,0xBA,0x71,0x7F,0x0C,0xDD,0x8E,0x09,0x84,
       0x37,0x9A,0xA5,0x0E,0xCA,0x3B,0x1C,0x98,0xB4,0x4B,0x4F,0x57,
       0x26,0x5C,0x65,0x6B,0x1C,0xFF,0xD7,0x41,0x68,0x1C,0xB2,0x0F,
       0x89,0xA6,0x5F,0xEB,0x9A,0xB1,0xA2,0x05,0x09,0x58,0x65,0x50,
       0xBE,0x99,0xEE,0x86,0xCC,0xFA,0x9E,0xF2
    */
    /* BIGNUM format */
    0xf2, 0x9e, 0xfa, 0xcc, 0x86, 0xee, 0x99, 0xbe, 0x50, 0x65, 0x58, 0x09, 
    0x05, 0xa2, 0xb1, 0x9a, 0xeb, 0x5f, 0xa6, 0x89, 0x0f, 0xb2, 0x1c, 0x68,
    0x41, 0xd7, 0xff, 0x1c, 0x6b, 0x65, 0x5c, 0x26, 0x57, 0x4f, 0x4b, 0xb4,
    0x98, 0x1c, 0x3b, 0xca, 0x0e, 0xa5, 0x9a, 0x37, 0x84, 0x09, 0x8e, 0xdd,
    0x0c, 0x7f, 0x71, 0xba, 0x6a, 0x9f, 0xcf, 0xbe, 0xd2, 0xc0, 0x98, 0x56,
    0xdc, 0xf0, 0x4a, 0xb9, 0x17, 0x7e, 0x6d, 0x47, 0xff, 0x3b, 0xcd, 0x69,
    0x77, 0xbc, 0x8b, 0xa2, 0x3f, 0xe2, 0x30, 0xc0, 0x20, 0xdf, 0x1e, 0x24,
    0x03, 0x7a, 0x4b, 0xc3, 0x83, 0x93, 0x6c, 0xa6, 0xf3, 0x47, 0x98, 0x5e,
    0x5d, 0x55, 0x81, 0x1a, 0x2e, 0xce, 0xc3, 0xe4, 0x39, 0x1e, 0x20, 0x73,
    0xe9, 0x6e, 0xea, 0xdf, 0x1d, 0x64, 0xc8, 0xc1, 0x17, 0x36, 0x0a, 0x09,
    0x63, 0x59, 0xfb, 0x66, 0x62, 0x43, 0x53, 0x62
  }

#else  /* Use uboot DSA test key */
  {
		/* 	Kcode_prv		*/
    /* ORIGINAL
priv:
    00:94:25:cf:fb:bc:84:b8:4c:cf:2f:7a:fb:6b:58:
    c2:a4:e6:98:b0:7e
    */
    /* BIGNUM	*/
    0x7e, 0xb0, 0x98, 0xe6,
		0xa4, 0xc2, 0x58, 0x6b,
		0xfb, 0x7a, 0x2f, 0xcf,
		0x4c, 0xb8, 0x84, 0xbc,
		0xfb, 0xcf, 0x25, 0x94
  }
	,
  {		/* 	Kcode_p		*/
    /* ORIGINAL
P:   
		00:f3:ef:b4:ff:d2:7e:cf:76:a1:28:58:06:5a:8b:
		83:c7:c7:ca:76:a0:4d:63:6d:7d:1d:84:4b:37:ae:
		d3:10:b9:a3:8a:70:f3:a2:e4:95:c0:bb:bc:2b:a5:
		01:c1:8b:47:f2:a5:5c:16:1b:68:7f:f2:f0:79:29:
		b4:82:20:4b:7c:b6:f5:27:d6:07:65:e3:3a:74:44:
		be:d1:b6:36:5a:5e:53:ea:06:c8:63:a1:26:63:2c:
		4c:a0:63:04:42:7f:8d:2a:18:8c:d6:70:2c:05:98:
		bb:fb:b2:c6:11:07:55:f5:81:28:de:a7:0a:9b:ae:
		78:f8:c4:c8:77:ce:3b:b2:6f
    */
		
    /* BIGNUM	*/
    0x6f, 0xb2, 0x3b, 0xce, 0x77, 0xc8, 0xc4, 0xf8, 0x78,
		0xae, 0x9b, 0x0a, 0xa7, 0xde, 0x28, 0x81, 0xf5, 0x55, 0x07, 0x11, 0xc6, 0xb2, 0xfb, 0xbb,
		0x98, 0x05, 0x2c, 0x70, 0xd6, 0x8c, 0x18, 0x2a, 0x8d, 0x7f, 0x42, 0x04, 0x63, 0xa0, 0x4c,
		0x2c, 0x63, 0x26, 0xa1, 0x63, 0xc8, 0x06, 0xea, 0x53, 0x5e, 0x5a, 0x36, 0xb6, 0xd1, 0xbe,
		0x44, 0x74, 0x3a, 0xe3, 0x65, 0x07, 0xd6, 0x27, 0xf5, 0xb6, 0x7c, 0x4b, 0x20, 0x82, 0xb4,
		0x29, 0x79, 0xf0, 0xf2, 0x7f, 0x68, 0x1b, 0x16, 0x5c, 0xa5, 0xf2, 0x47, 0x8b, 0xc1, 0x01,
		0xa5, 0x2b, 0xbc, 0xbb, 0xc0, 0x95, 0xe4, 0xa2, 0xf3, 0x70, 0x8a, 0xa3, 0xb9, 0x10, 0xd3,
		0xae, 0x37, 0x4b, 0x84, 0x1d, 0x7d, 0x6d, 0x63, 0x4d, 0xa0, 0x76, 0xca, 0xc7, 0xc7, 0x83,
		0x8b, 0x5a, 0x06, 0x58, 0x28, 0xa1, 0x76, 0xcf, 0x7e, 0xd2, 0xff, 0xb4, 0xef, 0xf3
  }
  ,
  {
    /*	Kcode_q		*/
    /* ORIGINAL 
Q:   
		00:eb:14:29:f5:95:9f:97:30:c8:1b:f1:13:2c:cd:
		32:6d:53:db:1a:ad
    */
		
    /* BIGNUM */
    0xad, 0x1a, 0xdb, 0x53, 0x6d, 0x32,
		0xcd, 0x2c, 0x13, 0xf1, 0x1b, 0xc8, 0x30, 0x97, 0x9f, 0x95, 0xf5, 0x29, 0x14, 0xeb

  }
  ,
  {		/* 	Kcode_g		*/
    /* ORIGINAL
G:   
		00:8c:be:ec:1f:b9:7f:b5:64:65:52:3a:71:ce:1d:
		9e:a5:e3:3f:9f:ed:c2:d4:68:50:90:3b:75:b1:50:
		34:ad:5d:c0:0e:bb:c6:d2:b0:9d:6f:f9:ac:c8:ae:
		18:10:31:21:87:70:91:42:3f:b3:39:07:82:1a:c0:
		03:f7:ac:2e:71:64:e2:d4:8f:a2:fc:71:89:03:12:
		0e:fc:eb:b2:00:84:8e:63:d5:0b:a0:5b:68:8d:dc:
		15:c3:9f:46:4a:5e:3a:fb:3a:a0:ab:2a:d2:c7:ec:
		fd:4e:02:53:15:1a:86:76:b3:a3:a6:3d:3f:5a:d5:
		71:a9:78:57:f0:12:7d:cc:b0
    */
    /* BIGNUM */
    0xb0, 0xcc, 0x7d, 0x12, 0xf0, 0x57, 0x78, 0xa9, 0x71,
		0xd5, 0x5a, 0x3f, 0x3d, 0xa6, 0xa3, 0xb3, 0x76, 0x86, 0x1a, 0x15, 0x53, 0x02, 0x4e, 0xfd,
		0xec, 0xc7, 0xd2, 0x2a, 0xab, 0xa0, 0x3a, 0xfb, 0x3a, 0x5e, 0x4a, 0x46, 0x9f, 0xc3, 0x15,
		0xdc, 0x8d, 0x68, 0x5b, 0xa0, 0x0b, 0xd5, 0x63, 0x8e, 0x84, 0x00, 0xb2, 0xeb, 0xfc, 0x0e,
		0x12, 0x03, 0x89, 0x71, 0xfc, 0xa2, 0x8f, 0xd4, 0xe2, 0x64, 0x71, 0x2e, 0xac, 0xf7, 0x03,
		0xc0, 0x1a, 0x82, 0x07, 0x39, 0xb3, 0x3f, 0x42, 0x91, 0x70, 0x87, 0x21, 0x31, 0x10, 0x18,
		0xae, 0xc8, 0xac, 0xf9, 0x6f, 0x9d, 0xb0, 0xd2, 0xc6, 0xbb, 0x0e, 0xc0, 0x5d, 0xad, 0x34,
		0x50, 0xb1, 0x75, 0x3b, 0x90, 0x50, 0x68, 0xd4, 0xc2, 0xed, 0x9f, 0x3f, 0xe3, 0xa5, 0x9e,
		0x1d, 0xce, 0x71, 0x3a, 0x52, 0x65, 0x64, 0xb5, 0x7f, 0xb9, 0x1f, 0xec, 0xbe, 0x8c
    
  }
  ,
  {		/* 	Kcode_pub	*/
    /* ORIGINAL
pub: 
		78:63:5e:69:49:76:bc:b3:03:35:3b:b7:01:14:a4:
		8f:0f:0d:ae:e3:41:bb:9a:56:3a:c2:59:34:80:96:
		29:1a:f5:10:4b:d0:f7:31:bc:48:c0:09:78:5c:19:
		48:4a:91:3e:c4:75:10:78:33:7c:6f:eb:85:5b:6a:
		e6:17:67:9a:28:8a:55:fd:04:89:21:cc:e1:25:a0:
		82:66:9c:63:a3:b5:d5:40:f4:c4:17:2f:60:42:b6:
		34:c6:cc:7c:c3:9e:e6:98:9d:56:04:fd:3f:31:4a:
		4d:3c:ee:cb:ee:f3:b6:e4:f0:69:60:12:cc:83:ad:
		0e:36:b1:74:ec:d4:09:36
    */
    /* BIGNUM */
    0x36, 0x09, 0xd4, 0xec, 0x74, 0xb1, 0x36, 0x0e,
		0xad, 0x83, 0xcc, 0x12, 0x60, 0x69, 0xf0, 0xe4, 0xb6, 0xf3, 0xee, 0xcb, 0xee, 0x3c, 0x4d,
		0x4a, 0x31, 0x3f, 0xfd, 0x04, 0x56, 0x9d, 0x98, 0xe6, 0x9e, 0xc3, 0x7c, 0xcc, 0xc6, 0x34,
		0xb6, 0x42, 0x60, 0x2f, 0x17, 0xc4, 0xf4, 0x40, 0xd5, 0xb5, 0xa3, 0x63, 0x9c, 0x66, 0x82,
		0xa0, 0x25, 0xe1, 0xcc, 0x21, 0x89, 0x04, 0xfd, 0x55, 0x8a, 0x28, 0x9a, 0x67, 0x17, 0xe6,
		0x6a, 0x5b, 0x85, 0xeb, 0x6f, 0x7c, 0x33, 0x78, 0x10, 0x75, 0xc4, 0x3e, 0x91, 0x4a, 0x48,
		0x19, 0x5c, 0x78, 0x09, 0xc0, 0x48, 0xbc, 0x31, 0xf7, 0xd0, 0x4b, 0x10, 0xf5, 0x1a, 0x29,
		0x96, 0x80, 0x34, 0x59, 0xc2, 0x3a, 0x56, 0x9a, 0xbb, 0x41, 0xe3, 0xae, 0x0d, 0x0f, 0x8f,
		0xa4, 0x14, 0x01, 0xb7, 0x3b, 0x35, 0x03, 0xb3, 0xbc, 0x76, 0x49, 0x69, 0x5e, 0x63, 0x78
  }  
#endif /* Use test DSA PubKey */
};

#if ( 0 ) /* DSA Cert for u-boot test key */
-----BEGIN CERTIFICATE-----
MIIDSTCCAwmgAwIBAgIBADAJBgcqhkjOOAQDMD4xCzAJBgNVBAYTAlVTMQswCQYD
VQQIEwJDQTEPMA0GA1UEBxMGSXJ2aW5lMREwDwYDVQQKEwhCcm9hZGNvbTAeFw0w
OTEwMTIyMDAyMzhaFw0wOTExMTEyMDAyMzhaMD4xCzAJBgNVBAYTAlVTMQswCQYD
VQQIEwJDQTEPMA0GA1UEBxMGSXJ2aW5lMREwDwYDVQQKEwhCcm9hZGNvbTCCAbcw
ggEsBgcqhkjOOAQBMIIBHwKBgQDz77T/0n7PdqEoWAZai4PHx8p2oE1jbX0dhEs3
rtMQuaOKcPOi5JXAu7wrpQHBi0fypVwWG2h/8vB5KbSCIEt8tvUn1gdl4zp0RL7R
tjZaXlPqBshjoSZjLEygYwRCf40qGIzWcCwFmLv7ssYRB1X1gSjepwqbrnj4xMh3
zjuybwIVAOsUKfWVn5cwyBvxEyzNMm1T2xqtAoGBAIy+7B+5f7VkZVI6cc4dnqXj
P5/twtRoUJA7dbFQNK1dwA67xtKwnW/5rMiuGBAxIYdwkUI/szkHghrAA/esLnFk
4tSPovxxiQMSDvzrsgCEjmPVC6BbaI3cFcOfRkpeOvs6oKsq0sfs/U4CUxUahnaz
o6Y9P1rVcal4V/ASfcywA4GEAAKBgHhjXmlJdryzAzU7twEUpI8PDa7jQbuaVjrC
WTSAlika9RBL0PcxvEjACXhcGUhKkT7EdRB4M3xv64VbauYXZ5ooilX9BIkhzOEl
oIJmnGOjtdVA9MQXL2BCtjTGzHzDnuaYnVYE/T8xSk087svu87bk8GlgEsyDrQ42
sXTs1Ak2o4GYMIGVMB0GA1UdDgQWBBTUUJagzKjVF/CvBat+bUgxT0Cv3zBmBgNV
HSMEXzBdgBTUUJagzKjVF/CvBat+bUgxT0Cv36FCpEAwPjELMAkGA1UEBhMCVVMx
CzAJBgNVBAgTAkNBMQ8wDQYDVQQHEwZJcnZpbmUxETAPBgNVBAoTCEJyb2FkY29t
ggEAMAwGA1UdEwQFMAMBAf8wCQYHKoZIzjgEAwMvADAsAhQo/i0EbFUkIRlihlmV
tdMB7a3sRgIUQXiWHPWFvV7EpEwLJFwOIFY165k=
-----END CERTIFICATE-----
#endif
