/*
 * Copyright (C) 2010 TomTom International B.V.
 * Author: Martin Jackson <martin.jackson@tomtom.com>
 * 
 ************************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 
 * 02110-1301, USA.
 ************************************************************************
 */

#include <boxkey.h>
#include <common.h>
#include <asm/arch/otp.h>

extern int do_reset (cmd_tbl_t *cmdtp, int flag, int argc, char *argv[]);

static const otp_addr_t BOXKEY_OTP_LOWER = 60;
static const int CHARS_PER_LINE = sizeof(otp_line_t)/sizeof(char);

void get_boxkey(unsigned char k[])
{
	otp_addr_t i;

	otp_init(0x0);

	for(i=0; i<BOXKEY_SIZE/CHARS_PER_LINE; i++) {
		if (otp_read(BOXKEY_OTP_LOWER + i,
		    &((otp_line_t *) k)[i], OTP_NO_ECC)) {
			goto err;
		}
	}

	return;

err:
	puts("### ERROR ### Could not read boxkey ###\n");
	do_reset (NULL, 0, 0, NULL);
	hang();

}

