/*****************************************************************************
*  Copyright 2008 Broadcom Corporation.  All rights reserved.
*
*  Unless you and Broadcom execute a separate written software license
*  agreement governing use of this software, this software is licensed to you
*  under the terms of the GNU General Public License version 2, available at
*  http://www.gnu.org/copyleft/gpl.html (the "GPL").
*
*  Notwithstanding the above, under no circumstances may you combine this
*  software in any way with any other Broadcom software provided under a
*  license other than the GPL, without Broadcom's express prior written
*  consent.
*
*****************************************************************************/

#include <common.h>
#include <asm/arch/sys_info.h>

/**************************************************************************
 * get_cpu_type() - low level get cpu type
 ***************************************************************************/
u32 get_cpu_type(void)
{
	return (CPU_TYPE);
}

/******************************************
 * get_cpu_rev(void) - extract version info
 ******************************************/
u32 get_cpu_rev(void)
{
	return (CPU_TYPE_REV);
}


/***********************************************************************
 * get_board_type() - get board type based on current production stats.
 ************************************************************************/
u32 get_board_type(void)
{
	return (BOARD_EVAL);
}

/*************************************************************************
 * get_board_rev() - setup to pass kernel board revision information
 *************************************************************************/
u32 get_board_rev(void)
{
	return (BOARD_EVAL_REV);
}


/*********************************************************************
 *  display_board_info() - print banner with board info.
 *********************************************************************/
void display_board_info(u32 btype)
{
    if (btype == BOARD_BCM4760)
    {
        char cpu_4760[] 		= "BCM94760";
        char cpu_unknown[]		= "Unknown CPU";
        char *cpu_s;

        u32 cpu					= get_cpu_type();

        switch (cpu)
        {
			case CPU_BCM4760:
                cpu_s = cpu_4760;
            break;

			default:
                cpu_s = cpu_unknown;
            break;
        }
        debug ("Broadcom %s Evaluation Board \n", cpu_s);
    }
    else
    {
        printf("Unknown board type %d\n",btype);
	}
}
