#include <config.h>
#include <s5p6440.h>

	.globl mem_ctrl_asm_init
mem_ctrl_asm_init:

	ldr	r0, =ELFIN_DMC0_BASE			@APB_DMC_BASE 0xE6000000

	ldr	r1, =DDR_PHYCONTROL0			@PhyControl0	DLL parameter setting, forcing locking value for DLL off
	str	r1, [r0, #PHYCONTROL0_OFFSET]

	ldr	r1, =DDR_PHYCONTROL1			@PhyControl1	DLL parameter setting
	str	r1, [r0, #PHYCONTROL1_OFFSET]

	ldr	r1, =DDR_PHYCONTROL2			@PhyControl2	DLL parameter setting
	str	r1, [r0, #PHYCONTROL2_OFFSET]
/*****************************************************************/
	ldr	r1, =DDR_CONCONTROL_DIS			@ConControl	auto refresh off
	str	r1, [r0, #CONCONTROL_OFFSET]

	ldr	r1, =DDR_MEMCONTROL			@MemControl	BL=4, 1 chip, LPDDR, dynamic self refresh, force precharge, dynamic power down off
	str	r1, [r0, #MEMCONTROL_OFFSET]

	ldr	r1, =DMC_DDR_PWRDNCONFIG		@PwrdnConfig
	str	r1, [r0, #PWRDNCONFIG_OFFSET]

#ifndef CONFIG_S5PMEMCFG0_VALUE
#define CONFIG_S5PMEMCFG0_VALUE 0x20F00322 @MemConfig0     Col:10, Row:14, Banks:4, 512Mb=32Mbx16bits, (32Mbx16bits) 2 => 32MbX32bits
#endif

	ldr	r1, =CONFIG_S5PMEMCFG0_VALUE
	str	r1, [r0, #MEMCONFIG0_OFFSET]

	ldr	r1, =DDR_PRECHCONTROL			@PrechConfig
	str	r1, [r0, #PRECHCONFIG_OFFSET]
/*****************************************************************/
	ldr	r1, =TIMING_AREF			@TimingAref	7.8us*133MHz=1038(0x40E), 16MHz=125(0x7D), 12MHz=93(0x5D)
	str	r1, [r0, #TIMINGAREF_OFFSET]

	ldr	r1, =DDR_TIMINGROW			@TimingRow 
	str	r1, [r0, #TIMINGROW_OFFSET]

	ldr	r1, =DDR_TIMINGDATA			@TimingData
	str	r1, [r0, #TIMINGDATA_OFFSET]

	ldr	r1, =DDR_TIMINGPOWER			@TimingPower
	str	r1, [r0, #TIMINGPOWER_OFFSET]
/*****************************************************************/
	ldr	r1, =DDR_DIRECTCMD_NOP			@DirectCmd	chip0 Deselect
	str	r1, [r0, #DIRECTCMD_OFFSET]

	ldr	r1, =DDR_DIRECTCMD_PALL			@DirectCmd	chip0 PALL
	str	r1, [r0, #DIRECTCMD_OFFSET]

	ldr	r1, =DDR_DIRECTCMD_REFA			@DirectCmd	chip0 REFA ;Auto-Refresh
	str	r1, [r0, #DIRECTCMD_OFFSET]

	ldr	r1, =DDR_DIRECTCMD_REFA			@DirectCmd	chip0 REFA
	str	r1, [r0, #DIRECTCMD_OFFSET]

	ldr	r1, =DDR_SET_MRS			@DirectCmd	chip0 MRS, CL=3, BL=4
	str	r1, [r0, #DIRECTCMD_OFFSET]

	ldr	r1, =DDR_SET_EMRS			@DirectCmd	chip0 EMRS, PASR=Full Array, DS=1/4
	str	r1, [r0, #DIRECTCMD_OFFSET]
/*****************************************************************/
	ldr	r1, =DDR_CONCONTROL_EN			@ConControl	auto refresh on
	str	r1, [r0, #CONCONTROL_OFFSET]

	mov	r1, #0x10000
1:	subs	r1, r1, #1
	bne	1b

	mov	pc, lr


/* Below code is for ARM926EJS and ARM1026EJS */
	.globl cleanDCache
cleanDCache:
	mrc	p15, 0, pc, c7, c10, 3	/* test/clean D-Cache */
	bne	cleanDCache
	mov	pc, lr

	.globl cleanFlushDCache
cleanFlushDCache:
	mrc	p15, 0, pc, c7, c14, 3	/* test/cleanflush D-Cache */
	bne	cleanFlushDCache
	mov	pc, lr

	.globl cleanFlushCache
cleanFlushCache:
	mrc	p15, 0, pc, c7, c14, 3	/* test/cleanflush D-Cache */
	bne	cleanFlushCache
	mcr	p15, 0, r0, c7, c5, 0	/* flush I-Cache */
	mov	pc, lr

	.ltorg

