/*
 * devclass.c - determine the device class from the device tree
 *
 * 2009-11-09 Ard Biesheuvel <ard.biesheuvel@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include <devclass.h>
#include <libfdt.h>

int get_dev_class(void const *fdt)
{
	int featurenode;
	int const *pclass;

	if (fdt_check_header(fdt)
		|| 0 > (featurenode = fdt_path_offset(fdt, "/features"))
		|| NULL == (pclass = fdt_getprop(fdt, featurenode, "device-class", NULL))
		|| fdt32_to_cpu(*pclass) != DEVCLASS_DEVELOPMENT)
		return DEVCLASS_PRODUCTION;

	return DEVCLASS_DEVELOPMENT;
}

