#ifndef ___USBDCORE_H
#define ___USBDCORE_H

#ifndef CONFIG_SIRFSOC 
void udc_init(void);
void udc_endpoint_write (struct usb_endpoint_instance *endpoint);

void udc_setup_ep (struct usb_device_instance *device,
                   unsigned int ep_num, struct usb_endpoint_instance *endpoint);
void udc_connect (void);
void udc_disconnect (void);
void udc_enable (struct usb_device_instance *device);
void udc_disable (void);
void udc_startup_events (struct usb_device_instance *device);
void udc_init(void);
void udc_poll_irq(void);

#else
typedef void (*rx_callback)(char *buffer, int len);
void *udc_init(u8 class_type, u8 subclass_type, rx_callback pfrxdone);
void udc_endpoint_write (void *context, struct usb_endpoint_instance *endpoint, char *buffer , int len);
void udc_setup_ep (void *context, struct usb_device_instance *device,
                   unsigned int ep_num, struct usb_endpoint_instance *endpoint);
void udc_connect (void *context);
void udc_disconnect (void);
void udc_enable (void *context, struct usb_device_instance *device);
void udc_disable (void *context);
void udc_startup_events (void *context, struct usb_device_instance *device);
void udc_poll_irq(void *context);
void udc_do_ctrl_xfer(void *context, char *buffer, int len, u8 dir);
int udc_endpoint_queue_read(void *context, struct usb_endpoint_instance *endpoint,
		int len);
void usbcd_device_init_complete(void *context);

#endif

#endif
