/*****************************************************************************
*  Copyright 2008 Broadcom Corporation.  All rights reserved.
*
*  Unless you and Broadcom execute a separate written software license
*  agreement governing use of this software, this software is licensed to you
*  under the terms of the GNU General Public License version 2, available at
*  http://www.gnu.org/copyleft/gpl.html (the "GPL").
*
*  Notwithstanding the above, under no circumstances may you combine this
*  software in any way with any other Broadcom software provided under a
*  license other than the GPL, without Broadcom's express prior written
*  consent.
*
*****************************************************************************/

#ifndef __ASM_ARCH_BCM4760_H
#define __ASM_ARCH_BCM4760_H

#include <asm/sizes.h>


/*
 * Don't do phys->virtual mapping in Linux Register files
 */
#define HW_IO_PHYS_TO_VIRT(x)  (x)
#define HW_IO_VIRT_TO_PHYS(x)  (x)

#include "asm/arch/reg_nand.h"
#include "asm/arch/bcm4760_addressmap.h"

// Converted
#define HW_NOR0_BASE		( 0x00000000 )	// NOR Flash
#define HW_NOR0_SIZE			( SZ_512KB )
#define HW_SRAM_BASE		( BCM47XX_SRAM_ADDRBASE )	// SRAM
#define HW_NAND_BASE		( BCM47XX_NAND_ADDRBASE0 )	// NAND Flash
#define HW_NAND1_BASE		( BCM47XX_NAND_ADDRBASE1 )	// NAND Flash
#define HW_SDRAM_BASE		( 0x30000000 )	// SDRAM base - 64 MB max
#define HW_SDRAM_SIZE			( SZ_32M )

#define HW_GPTIMER0_BASE	( TIM0_REG_BASE_ADDR )	// General purpose timer
#define HW_GPTIMER1_BASE	( TIM0_REG_BASE_ADDR + 0x20 )
#define HW_GPTIMER2_BASE	( TIM0_REG_BASE_ADDR + 0x40 )
#define HW_GPTIMER3_BASE	( TIM0_REG_BASE_ADDR + 0x60 )
#define HW_GPTIMER4_BASE	( TIM1_REG_BASE_ADDR )	// General purpose timer
#define HW_GPTIMER5_BASE	( TIM1_REG_BASE_ADDR + 0x20 )
#define HW_GPTIMER6_BASE	( TIM1_REG_BASE_ADDR + 0x40 )
#define HW_GPTIMER7_BASE	( TIM1_REG_BASE_ADDR + 0x60 )
#define HW_GPTIMER8_BASE	( TIM2_REG_BASE_ADDR )	// General purpose timer
#define HW_GPTIMER9_BASE	( TIM2_REG_BASE_ADDR + 0x20 )
#define HW_GPTIMER10_BASE	( TIM2_REG_BASE_ADDR + 0x40 )
#define HW_GPTIMER11_BASE	( TIM2_REG_BASE_ADDR + 0x60 )
#define HW_SDM0_BASE		( SDM0_REG_BASE_ADDR )	// SDM0
#define HW_SDM1_BASE		( SDM1_REG_BASE_ADDR )	// SDM1
#define HW_SDM2_BASE		( SDM2_REG_BASE_ADDR )	// SDM2
#define HW_UART_A_BASE		( URT0_REG_BASE_ADDR )	// UART A base
#define HW_UART_B_BASE		( URT1_REG_BASE_ADDR )	// UART B base
#define HW_UART_C_BASE		( URT2_REG_BASE_ADDR )	// UART C base
#define HW_WDT_BASE			( WDT_REG_BASE_ADDR )	// Watchdog timer


// Not Converted
#define HW_SOFTRST_REG		( 0x00000000 )	// System soft reset ctrl

#endif /* __ASM_ARCH_BCM4760_H */
