/* 
 * Support for basic memory protection - enough to get the ARM DCache to
 * work, setting up a 1:1 mapping of the address space, on 1MB-grained
 * level
 *
 *  Copyright (C) 2009 TomTom
 *  Author: Martin Jackson <martin.jackson@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __ASM_MEMPROT_H
#define __ASM_MEMPROT_H

#include <common.h>

/* An area of the memory map. All sizes truncated to the nearest 1MB */
struct mem_area {
	uint32_t base;		/* Base of mem area */
	uint32_t length;	/* Length of mem area */

/* Memory area flags - memory area can be cached and / or buffered */
#define MEMPROT_CACHED		0x00000001
#define MEMPROT_BUFFERED	0x00000002
#define MEMPROT_NOACCESS	0x00000004
	int flags;
};

extern void set_simple_map(uint32_t base, struct mem_area *mem_map,
	int map_len);
extern void set_default_map(uint32_t base);

#endif /* __ASM_MEMPROT_H */

