/*
 * boxkey.h - per-device random secret key
 *
 * 2009-11-09 Ard Biesheuvel <ard.biesheuvel@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __BOXKEY_H
#define __BOXKEY_H

#include <common.h>

#define BOXKEY_SIZE	16


void get_boxkey(unsigned char k[]);

#ifndef CONFIG_BCM4760
// TODO use per-box random key
static unsigned char const boxkey[BOXKEY_SIZE] = {
	0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, };

void __attribute__((always_inline)) get_boxkey(unsigned char k[])
{
	memcpy(k, boxkey, BOXKEY_SIZE);
}
#endif /* CONFIG_BCM4760 */

#endif /* __BOXKEY_H */

