/*
 * U-Boot configuration for BCM4760-based platforms
 *
 * Copyright (C) 2010 TomTom International B.V.
 * 
 ************************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 
 * 02110-1301, USA.
 ************************************************************************
 */

#ifndef __BOARD_CONFIG_H
#define __BOARD_CONFIG_H

#include <asm/sizes.h>
#include <asm/arch/bcm4760.h>

/************************************************************************
* Machine settings                                                      *
************************************************************************/

#define CONFIG_BCM4760

/************************************************************************
* Platform specific shell commands                                      *
************************************************************************/

#define CONFIG_CMD_SDHCI

/************************************************************************
* Hardware settings                                                     *
************************************************************************/

#define CFG_TIMERBASE			TIM0_R_TIMER1VALUE_MEMADDR
#undef  CONFIG_USE_IRQ
#define CONFIG_MISC_INIT_R
#define CONFIG_NR_DRAM_BANKS		1
#define PHYS_SDRAM_1			HW_SDRAM_BASE
#define PHYS_SDRAM_1_SIZE		SZ_128M
#define CFG_BCM4760_UART
#define CFG_BCM4760_UART_CLK		78000000UL
#define CFG_BCM4760_UART_COM		HW_UART_C_BASE
#define CFG_SDHCI_MAXDEVICE		2
#define CONFIG_HW_WATCHDOG_TIMER_LOAD_VALUE 0x60000
#define CFG_HZ				24000000UL

/************************************************************************
* Generic settings                                                      *
************************************************************************/

#include "plat-tomtom.conf"

#endif /* __BOARD_CONFIG_H */

